<%@page session="true" import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bClasses.*, m05bBD.m05bVehiculos" %>

<HTML>
	
  <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">

<%	     

  String strMatricula=request.getParameter("Matricula");
  java.sql.Connection conn=null;
  PreparedStatement pstmt = null, pstmt2 = null;
  ResultSet rs = null;
  ResultSet rs2 = null;
  m05bVehiculos vehiculo=null;
  m05bConexion miConex = new m05bConexion();
  conn = miConex.getConnection();
  conn.setAutoCommit(false);  // Al final si todo ha ido bien se hace commit
					m05bCombo miCombo = new m05bCombo();

  if (strMatricula==null){
      strMatricula="";
  
} else{  	    

	  String strFecMat="";
	  String strFecAlta="";
	  String strFecBaja="";
	  String existe="0";
  	  String activarSituacion="0";
	  String modelo="";
	  String color="";
	  String marca="";
	  String codrango="";
	  String situacion="";
	  String kmact="";
	  String fkmact="";
	  String coddpto="";
	  String descdpto="";
	  String codmod="";  
	  String precio="";
	  String ImpBaja="";
	  
	  String codColor="";
	  StringBuffer sql= new StringBuffer();
  	  StringBuffer sqlComprobarT= new StringBuffer();
  	  StringBuffer sqlComprobarS= new StringBuffer();

	  m05bComun comun = new m05bComun();

      sql.append("SELECT ").append(m05bConstantes.COL_34_KMACTUALES).append(",").append(m05bConstantes.COL_34_MARCA).append(",");
      sql.append(m05bConstantes.COL_17_DESCRIP).append(",").append(m05bConstantes.COL_17_CODMOD);
      sql.append(",").append(m05bConstantes.COL_34_SITUACION).append(",").append(m05bConstantes.COL_34_FKMACT);
      sql.append(",").append(m05bConstantes.COL_34_IMPBAJA);
      sql.append(",C.").append(m05bConstantes.COL_99_CODTABLA).append(",").append("CODDPTO_34");
      sql.append(",").append("DESDPTO_34").append(",").append(m05bConstantes.COL_34_RANGO);
      sql.append(",").append(m05bConstantes.COL_34_FALTA).append(",").append(m05bConstantes.COL_34_FBAJA);
      sql.append(",").append(m05bConstantes.COL_34_PRECIO);      
      sql.append(",C.").append(m05bConstantes.COL_99_DESCRIPCION).append(",").append(m05bConstantes.COL_34_FMATRIC).append("  FROM ");
      sql.append(m05bConstantes.TAB_VEHICULOS).append(",").append(m05bConstantes.TAB_DESCRIPCIONES).append(" C,");
      sql.append(m05bConstantes.TAB_MODELOS).append(" WHERE ").append(m05bConstantes.COL_34_MATRICULA).append("=");
      sql.append(strMatricula).append(" AND ").append(m05bConstantes.COL_34_MODELO).append("=");
      sql.append(m05bConstantes.COL_17_CODMOD);
      sql.append("(+) AND  C.").append(m05bConstantes.COL_99_CODTABLA);
      sql.append("(+)='").append(m05bConstantes.DESC_COLORES).append("' AND C.").append(m05bConstantes.COL_99_CODDESC);
      sql.append("(+)=").append(m05bConstantes.COL_34_COLOR);
	  //COMPROBAR-TARJETAS	 
	  sqlComprobarT.append("SELECT 1").append(" FROM ").append(m05bConstantes.TAB_TARJETAS);
  	  sqlComprobarT.append(" WHERE ").append(m05bConstantes.COL_31_MATRICULA).append("=");
  	  sqlComprobarT.append(strMatricula).append(" AND ").append(m05bConstantes.COL_31_SITUACION).append("='A'");
	  //COMPROBAR-SEGUROS	 
	  sqlComprobarS.append("SELECT 1").append(" FROM ").append(m05bConstantes.TAB_HIST_SEGUROS);
  	  sqlComprobarS.append(" WHERE ").append(m05bConstantes.COL_13_MATRICULA).append("=");
  	  sqlComprobarS.append(strMatricula).append(" AND ").append(m05bConstantes.COL_13_ESTADO).append("='A'");
  	  
String mensaje="";
String matricula="";
//SQL Comprobar si la situacion es pendiente si tiene 
         mensaje=request.getParameter("Mensaje");
         if (mensaje==null) 
             mensaje="";

	  	 if (!(mensaje.equals(""))) {
		   vehiculo = (m05bVehiculos)session.getAttribute("m05bVehiculos");
		   strMatricula = vehiculo.getVeh_matricula();
		   codmod = vehiculo.getVeh_modelo();
	       coddpto = vehiculo.getVeh_coddpto();
		   descdpto = vehiculo.getVeh_desdpto();
		   marca = vehiculo.getVeh_marca();
		   kmact = vehiculo.getVeh_kmact();
		   situacion = vehiculo.getVeh_situacion();
		   codrango = vehiculo.getVeh_rango();
		   strFecAlta = vehiculo.getVeh_falta();
		   strFecBaja = vehiculo.getVeh_fbaja();
		   fkmact = vehiculo.getVeh_fkmact();
		   strFecMat = vehiculo.getVeh_fmatric();
		   precio = vehiculo.getVeh_precio();
		   ImpBaja = vehiculo.getVeh_impbaja();
	  } else{ //Mensaje==null
	      try {
		  if (vehiculo == null){
	         session.removeAttribute("m05bVehiculos");
	         //vehiculo = (m05bVehiculos)session.getAttribute("m05bVehiculos");
		  	 vehiculo = new m05bVehiculos();
		       session.setAttribute("m05bVehiculos",vehiculo);
		  	 }
	      	  
		   pstmt = conn.prepareStatement(sql.toString());
		   rs = pstmt.executeQuery();
	       if (rs.next()){
	            marca=rs.getString(m05bConstantes.COL_34_MARCA);
				situacion=rs.getString(m05bConstantes.COL_34_SITUACION);
				if (situacion.equals("P")){
		       	       pstmt2 = conn.prepareStatement(sqlComprobarT.toString());
		   		       rs2 = pstmt2.executeQuery();
		   		       if (!rs2.next()) {
                       	 activarSituacion="1" ;}
		       	       pstmt2 = conn.prepareStatement(sqlComprobarS.toString());
		   		       rs2 = pstmt2.executeQuery();
                       if (rs2.next() == false) {
                       	 activarSituacion="1" ; }
                }else{
                	  activarSituacion="0" ; }
	            codrango=rs.getString(m05bConstantes.COL_34_RANGO);
	            modelo=rs.getString(m05bConstantes.COL_17_DESCRIP);
	            codmod=rs.getString(m05bConstantes.COL_17_CODMOD);
	            kmact=rs.getString(m05bConstantes.COL_34_KMACTUALES);
	            fkmact=rs.getString(m05bConstantes.COL_34_FKMACT);
	            
	            if (fkmact==null || fkmact.equals("NULL"))
	                   	fkmact="";
	            else
	            		fkmact=comun.Mes(fkmact);
	            coddpto=rs.getString("CODDPTO_34");
	            descdpto=rs.getString("DESDPTO_34");
	            strFecAlta=rs.getString(m05bConstantes.COL_34_FALTA);
	            strFecBaja=rs.getString(m05bConstantes.COL_34_FBAJA);
	            strFecMat=rs.getString(m05bConstantes.COL_34_FMATRIC);
	            ImpBaja=rs.getString(m05bConstantes.COL_34_IMPBAJA);
	            if (ImpBaja==null )
	                    ImpBaja="";
	            
                precio = rs.getString(m05bConstantes.COL_34_PRECIO);
	            if (precio==null )
	                    precio="";
	            
	            if (strFecAlta==null || strFecAlta.equals("NULL"))
	                    strFecAlta="";
	            else
	                    strFecAlta=comun.Mes(strFecAlta);
	            
	            if (strFecBaja==null || strFecBaja.equals("NULL"))
	                    strFecBaja="";
	            else
	                    strFecBaja=comun.Mes(strFecBaja);
	            
	            if (strFecMat==null || strFecMat.equals("NULL"))
	                    strFecMat="";
	            else
	                    strFecMat=comun.Mes(strFecMat);
	            codColor=rs.getString(m05bConstantes.COL_99_CODTABLA);
	            if (codColor!=null){
	            		if ((codColor).equals(m05bConstantes.DESC_COLORES)){
	                    		color=rs.getString(10);}}
      	       existe="1";
		       vehiculo.setVeh_matricula(strMatricula);
		       vehiculo.setVeh_modelo(codmod);
               vehiculo.setVeh_coddpto(coddpto);
		       vehiculo.setVeh_desdpto(descdpto);
		       vehiculo.setVeh_marca(marca);
		       vehiculo.setVeh_kmact(kmact);
		       vehiculo.setVeh_situacion(situacion);
		       vehiculo.setVeh_rango(codrango);
		       vehiculo.setVeh_falta(strFecAlta);
		       vehiculo.setVeh_fbaja(strFecBaja);
		       vehiculo.setVeh_fkmact(fkmact);
		       vehiculo.setVeh_fmatric(strFecMat);
		       vehiculo.setVeh_precio(precio);
		       vehiculo.setVeh_impbaja(ImpBaja);
		       session.setAttribute("m05bVehiculos",vehiculo);
		       }
      	    
	  } catch (Exception SQLException){
		  m05bClasses.m05bFileLog miLog = new m05bClasses.m05bFileLog();
	   		miLog.addTraza(SQLException);
	  } finally {
				if (rs != null)
					rs.close();
				if (rs2 != null)
					rs2.close();
				if (pstmt != null)
					pstmt.close();
				if (pstmt2 != null)
					pstmt2.close();
				if (conn != null)
					conn.close();
	  }}   %>   	   
		   <script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Pulsado.js"></script>
    		<SCRIPT language="javascript">
    			var CmbDesc=new Array();
	            <%=miCombo.joinComboArray( m05bConstantes.COL_17_CODMOD, m05bConstantes.COL_17_DESCRIP, m05bConstantes.TAB_MODELOS, m05bConstantes.COL_17_CODMARCA)%>
			</script>
    
             <script>
                 parent.document.formVehiculos.Marca.value="<%=marca%>";
                 Pulsado(parent.document.formVehiculos.Marca.options[parent.document.formVehiculos.Marca.selectedIndex].value, parent.document.formVehiculos.Modelo, CmbDesc,'')  ;  
                 parent.document.formVehiculos.Modelo.value="<%=codmod%>";
                 parent.document.formVehiculos.Dpto.value="<%=coddpto%>";
                 parent.document.formVehiculos.DescDpto.value="<%=descdpto%>";
                 parent.document.formVehiculos.KmActuales.value="<%=kmact%>"; 
                 parent.document.formVehiculos.Precio.value="<%=precio%>";
                 parent.document.formVehiculos.ImpBaja.value="<%=ImpBaja%>";
                 parent.document.formVehiculos.Situacion.value="<%=situacion%>";
                 parent.document.formVehiculos.CRango.value="<%=codrango%>";
                 parent.document.formVehiculos.CRangoBD.value="<%=codrango%>";
                 parent.document.formVehiculos.FAlta.value="<%=strFecAlta%>";
                 parent.document.formVehiculos.FBaja.value="<%=strFecBaja%>";
                 parent.document.formVehiculos.FecKmAct.value="<%= fkmact%>";
                 parent.document.formVehiculos.FMatriculacion.value="<%=strFecMat%>";
                 parent.document.formVehiculos.action="m05bVariosJsp.jsp?Matricula=" + "<%=strMatricula%>" ;
                 parent.document.formVehiculos.target="opcion";
                 parent.document.formVehiculos.submit();
             </script>
                 <% if ((situacion.equals("B")) ){%>
                 <script>
                      parent.document.formVehiculos.Situacion.disabled=true;
                      parent.document.formVehiculos.Modelo.disabled=true;
                      parent.document.formVehiculos.CRango.disabled=true;
                      parent.document.formVehiculos.FAlta.disabled=true;
                      parent.document.formVehiculos.FBaja.disabled=true;
                      parent.document.formVehiculos.FecKmAct.disabled=true;
                      parent.document.formVehiculos.FMatriculacion.disabled=true;
                      parent.document.formVehiculos.Modelo.disabled=true;
                      parent.document.formVehiculos.Dpto.disabled=true;
                      parent.document.formVehiculos.DescDpto.disabled=true;
                      parent.document.formVehiculos.Marca.disabled=true;
                      parent.document.formVehiculos.KmActuales.disabled=true;
                      parent.document.formVehiculos.Precio.disabled=true;
                      parent.document.formVehiculos.ImpBaja.disabled=true;
                      parent.document.all["calendario1"].src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/pixel.gif';   
                      parent.document.all["calendario1"].border='0';   
                      
                      parent.document.all["calendario3"].src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/pixel.gif';                      
                      parent.document.all["calendario3"].border='0';   
                      
                      parent.document.all["calendario4"].src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/pixel.gif';                      
                      parent.document.all["calendario4"].border='0';   
                  </script>    

                      
                    <%}else {%>  
                 <script>
                    	
                      parent.document.formVehiculos.Situacion.disabled=false;
                      parent.document.formVehiculos.Modelo.disabled=false;
                      parent.document.formVehiculos.CRango.disabled=false;
                      //parent.document.formVehiculos.FAlta.disabled=false;
                      parent.document.formVehiculos.FBaja.disabled=false;
                      parent.document.formVehiculos.FecKmAct.disabled=false;
                      parent.document.formVehiculos.FMatriculacion.disabled=false;
                      parent.document.formVehiculos.Modelo.disabled=false;
                      parent.document.formVehiculos.Dpto.disabled=false;
                      parent.document.formVehiculos.DescDpto.disabled=false;
                      parent.document.formVehiculos.Marca.disabled=false;
                      parent.document.formVehiculos.KmActuales.disabled=false;
                      parent.document.formVehiculos.Precio.disabled=false;
                      parent.document.formVehiculos.ImpBaja.disabled=false;
                      parent.document.all["calendario1"].src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/p01calendario.gif';                      
                      parent.document.all["calendario3"].src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/p01calendario.gif';                      
                      parent.document.all["calendario4"].src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/p01calendario.gif';                      
                 </script>
                      
                     <% if (existe.equals("1")){
                 	  if (codmod.equals("")){%>
                 	<script>     parent.document.formVehiculos.Modelo.disabled=true;</script>
                      <%}%>
	                  	<script>  parent.document.formVehiculos.Situacion.value="<%=situacion%>";</script>
	                  <% if (activarSituacion.equals("1")) { %>
                        	<script> parent.document.formVehiculos.Situacion.disabled=true;</script>
                      <%}else{%>
                        	<script> parent.document.formVehiculos.Situacion.disabled=false;</script>
                      <%}%> 
	               <%}else{%>
	               	   <% situacion="P";%>
                    	<script>  	                  
	               	   	  	  
	                  parent.document.formVehiculos.Situacion.value="<%=situacion%>";
                      parent.document.formVehiculos.Situacion.disabled=true;
                      parent.document.formVehiculos.Modelo.disabled=true;</script>
                   <%}}%> 
	  <%}%> 
<BODY bgcolor="white">
</BODY>
</HTML>